<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:variable name="y" select="//coverage[1]"/>
		<html>
			<head>
				<title>TIBCO BusinessWorks Performance Report</title>
				<link rel="stylesheet" type="text/css" href="resourcestyle.css"/>
				<link rel="stylesheet" type="text/css" href="vanilla.css"/>
			</head>
			<body>
				<h1>TIBCO BusinessWorks Performance Report</h1>
				<h4>The performance of each of the executed Activities ordered by average time descending:</h4>
				<div>
					<table>
						<thead>
							<tr>
								<th class="left">Activity</th>
								<th class="left">Process</th>
								<th>Number of Times Called</th>
								<th>Minimum Time (ms)</th>
								<th>Maximum Time (ms)</th>
								<th>Average Time (ms)</th>
								<th>Total Time (ms)</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="$y/processes/process/activities/activity[@frq > 0]">
								<xsl:sort select="@avg" order="descending" data-type="number"/>
								<tr>
									<td class="left">
										<xsl:value-of select="@name"/>
									</td>
									<td class="left">
										<xsl:value-of select="../../@name"/>
									</td>
									<td>
										<xsl:value-of select="@frq"/>
									</td>
									<td>
										<xsl:value-of select="@min"/>
									</td>
									<td>
										<xsl:value-of select="@max"/>
									</td>
									<td>
										<xsl:value-of select="@avg"/>
									</td>
									<td>
										<xsl:value-of select="@sum"/>
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
