<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	<xsl:variable name="TAG_VALUES">tagValues</xsl:variable>
	<xsl:variable name="TAG_VALUES_OUTPUT">Test Tags</xsl:variable>
	<xsl:variable name="SERIAL_TASK">serialTask</xsl:variable>
	<xsl:variable name="VALIDATE">validate</xsl:variable>
	<xsl:variable name="VALIDATE_OUTPUT">Assert</xsl:variable>
	<xsl:variable name="RETURN_CODE">returnCode</xsl:variable>
	<xsl:variable name="RETURN_CODE_OUTPUT">Return Code</xsl:variable>
	<xsl:variable name="ACTIONS_OUTPUT">Test Steps</xsl:variable>
	<xsl:variable name="START_TIME">startTime</xsl:variable>
	<xsl:variable name="START_TIME_OUTPUT">Start Time</xsl:variable>
	<xsl:variable name="END_TIME">endTime</xsl:variable>
	<xsl:variable name="END_TIME_OUTPUT">End Time</xsl:variable>
	<xsl:variable name="EXECUTION_TIME">executionTime</xsl:variable>
	<xsl:variable name="EXECUTION_TIME_OUTPUT">Run Time (ms)</xsl:variable>
	<xsl:variable name="HOST_ID">hostId</xsl:variable>
	<xsl:variable name="HOST_ID_OUTPUT">Host Id</xsl:variable>
	<xsl:variable name="STATUS_OUTPUT">Status</xsl:variable>
	<xsl:variable name="CANCEL_STATUS">Cancelled</xsl:variable>
	<xsl:variable name="TRANSPORT">transport</xsl:variable>
	<xsl:variable name="TRANSPORT_OUTPUT">Transport</xsl:variable>
	<xsl:variable name="FORMATTER">formatter</xsl:variable>
	<xsl:variable name="FORMATTER_OUTPUT">Formatter</xsl:variable>
	<xsl:variable name="PREV">Prev</xsl:variable>
	<xsl:variable name="NEXT">Next</xsl:variable>
	<xsl:variable name="VALIDATION_MESSAGE">validationMessage</xsl:variable>
	<xsl:variable name="VALIDATION_MESSAGE_OUTPUT">Validation Message</xsl:variable>
	<xsl:variable name="EXECUTION_CANCELLED">executionCancelled</xsl:variable>
	<xsl:variable name="DISTRIBUTION_TYPE">distributionType</xsl:variable>
	<xsl:variable name="DISTRIBUTION_TYPE_OUTPUT">Distribution Type</xsl:variable>
	<xsl:variable name="MIN_DELAY">minDelay</xsl:variable>
	<xsl:variable name="MIN_DELAY_OUTPUT">Min Delay (ms)</xsl:variable>
	<xsl:variable name="MAX_DELAY">maxDelay</xsl:variable>
	<xsl:variable name="MAX_DELAY_OUTPUT">Max Delay (ms)</xsl:variable>
	<xsl:variable name="DELAY">delay</xsl:variable>
	<xsl:variable name="DELAY_OUTPUT">Delay (ms)</xsl:variable>
	<xsl:variable name="EVAL_RESULT">evalResult</xsl:variable>
	<xsl:variable name="EVAL_RESULT_OUTPUT">Eval Result</xsl:variable>
	<xsl:variable name="EXIT_CODE">exitCode</xsl:variable>
	<xsl:variable name="EXIT_CODE_OUTPUT">Exit Code</xsl:variable>
	<xsl:variable name="STD_OUT">stdout</xsl:variable>
	<xsl:variable name="STD_OUT_OUTPUT">Std Out</xsl:variable>
	<xsl:variable name="STD_ERR">stderr</xsl:variable>
	<xsl:variable name="STD_ERR_OUTPUT">Std Err</xsl:variable>
	<xsl:variable name="SELECTED_OPTION">selectedOption</xsl:variable>
	<xsl:variable name="SELECTED_OPTION_OUTPUT">Selected Option</xsl:variable>
	<xsl:variable name="USER_RESPONSE">userResponse</xsl:variable>
	<xsl:variable name="USER_RESPONSE_OUTPUT">User Response</xsl:variable>
	<xsl:variable name="DISPLAYED_MESSAGE">displayedMessage</xsl:variable>
	<xsl:variable name="DISPLAYED_MESSAGE_OUTPUT">Displayed Message</xsl:variable>
	<xsl:variable name="TASK">task</xsl:variable>
	<xsl:variable name="TASK_OUTPUT">Task</xsl:variable>
	<xsl:variable name="RESULT">result</xsl:variable>
	<xsl:variable name="RESULT_OUTPUT">Result</xsl:variable>
	<xsl:variable name="MESSAGES_PROCESSED">messagesProcessed</xsl:variable>
	<xsl:variable name="MESSAGES_PROCESSED_OUTPUT">Messages Processed</xsl:variable>
	<xsl:variable name="MESSAGES_FILTERED">filteredMessageCount</xsl:variable>
	<xsl:variable name="MESSAGES_FILTERED_OUTPUT">Messages Filtered</xsl:variable>
	<xsl:variable name="ERROR">error</xsl:variable>
	<xsl:variable name="ERROR_OUTPUT">Error</xsl:variable>
	<xsl:variable name="MESSAGE_OUTPUT">Message</xsl:variable>
	<xsl:variable name="NAME">name</xsl:variable>
	<xsl:variable name="NAME_OUTPUT">Name</xsl:variable>
	<xsl:variable name="TYPE">type</xsl:variable>
	<xsl:variable name="VALUE">value</xsl:variable>
	<xsl:variable name="VALUE_OUTPUT">Value</xsl:variable>
	<xsl:variable name="META_TYPE">metaType</xsl:variable>
	<xsl:variable name="NOT_APPLICABLE">n/a</xsl:variable>
	<xsl:variable name="BYTE_TYPE_INT">0</xsl:variable>
	<xsl:variable name="BYTE_TYPE_STRING">Byte</xsl:variable>
	<xsl:variable name="SHORT_TYPE_INT">1</xsl:variable>
	<xsl:variable name="SHORT_TYPE_STRING">Short</xsl:variable>
	<xsl:variable name="INT_TYPE_INT">2</xsl:variable>
	<xsl:variable name="INT_TYPE_STRING">Integer</xsl:variable>
	<xsl:variable name="LONG_TYPE_INT">3</xsl:variable>
	<xsl:variable name="LONG_TYPE_STRING">Long</xsl:variable>
	<xsl:variable name="FLOAT_TYPE_INT">4</xsl:variable>
	<xsl:variable name="FLOAT_TYPE_STRING">Float</xsl:variable>
	<xsl:variable name="DOUBLE_TYPE_INT">5</xsl:variable>
	<xsl:variable name="DOUBLE_TYPE_STRING">Double</xsl:variable>
	<xsl:variable name="CHAR_TYPE_INT">6</xsl:variable>
	<xsl:variable name="CHAR_TYPE_STRING">Char</xsl:variable>
	<xsl:variable name="STRING_TYPE_INT">7</xsl:variable>
	<xsl:variable name="STRING_TYPE_STRING">String</xsl:variable>
	<xsl:variable name="BOOLEAN_TYPE_INT">8</xsl:variable>
	<xsl:variable name="BOOLEAN_TYPE_STRING">Boolean</xsl:variable>
	<xsl:variable name="DATE_TYPE_INT">9</xsl:variable>
	<xsl:variable name="DATE_TYPE_STRING">Date</xsl:variable>
	<xsl:variable name="TIME_TYPE_INT">10</xsl:variable>
	<xsl:variable name="TIME_TYPE_STRING">Time</xsl:variable>
	<xsl:variable name="DATETIME_TYPE_INT">11</xsl:variable>
	<xsl:variable name="DATETIME_TYPE_STRING">Date-Time</xsl:variable>
	<xsl:variable name="MESSAGE_TYPE_INT">12</xsl:variable>
	<xsl:variable name="MESSAGE_TYPE_STRING">Message</xsl:variable>
	<xsl:variable name="OBJECT_TYPE_INT">13</xsl:variable>
	<xsl:variable name="OBJECT_TYPE_STRING">Object</xsl:variable>
	<xsl:variable name="BYTEARRAY_TYPE_INT">14</xsl:variable>
	<xsl:variable name="BYTEARRAY_TYPE_STRING">ByteArray</xsl:variable>
	<xsl:variable name="XML_TYPE_INT">15</xsl:variable>
	<xsl:variable name="XML_TYPE_STRING">XML</xsl:variable>
	<xsl:variable name="YEAR_CHAR">y</xsl:variable>
	<xsl:variable name="MONTH_CHAR">M</xsl:variable>
	<xsl:variable name="DAY_CHAR">d</xsl:variable>
	<xsl:variable name="HOUR_CHAR">H</xsl:variable>
	<xsl:variable name="MINUTE_CHAR">m</xsl:variable>
	<xsl:variable name="SECOND_CHAR">s</xsl:variable>
	<xsl:variable name="MILLI_SECOND_CHAR">S</xsl:variable>
	<xsl:variable name="AM_PM_MARKER_CHAR">a</xsl:variable>
	<xsl:variable name="AM">AM</xsl:variable>
	<xsl:variable name="PM">PM</xsl:variable>
	<xsl:variable name="DEFAULT_TIMESTAMP_FORMAT">yyyy/MM/dd HH:mm:ss.SSS</xsl:variable>
	<xsl:variable name="DEFAULT_TIME_ONLY_FORMAT">HH:mm:ss.SSS</xsl:variable>
	<xsl:variable name="EXPRESSION">expression</xsl:variable>
	<xsl:variable name="EXPRESSION_OUTPUT">Expressions Evaluated</xsl:variable>
	<xsl:variable name="ENVIRONMENT_TAGS_OUTPUT">Environment Tag Data Store</xsl:variable>
	<xsl:variable name="TAG">tag</xsl:variable>
	<xsl:variable name="MESSAGE_TAG">#Message</xsl:variable>
	<xsl:variable name="FAILURE_PATHS">
		<failurePath>
			<displayType>Failure Path</displayType>
		</failurePath>
		<subscriberFailurePath>
			<displayType executionPath="0">Subcriber Error</displayType>
			<displayType executionPath="1">Validation Failure</displayType>
		</subscriberFailurePath>
		<mapperFailurePath>
			<displayType executionPath="0">Invalid Input</displayType>
			<displayType executionPath="1">Invalid Stylesheet</displayType>
			<displayType executionPath="2">Processing Error</displayType>
			<displayType executionPath="3">Coversion Error</displayType>
		</mapperFailurePath>
	</xsl:variable>
	<xsl:variable name="STATUS">iterationStatus</xsl:variable>
</xsl:stylesheet>