<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:variable name="y" select="//coverage[1]"/>
		<html>
			<head>
				<title>webMethods Integration Server Error Report</title>
				<link rel="stylesheet" type="text/css" href="resourcestyle.css"/>
				<link rel="stylesheet" type="text/css" href="vanilla.css"/>
			</head>
			<body>
				<h1>webMethods Integration Server Error Report</h1>
				<h2>Summary</h2>
				<div>
					<table>
						<thead>
							<tr>
								<th class="left">Process</th>
								<th>Activities Errored</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="$y/processes/process[activities/activity[errors]]">
								<tr>
									<td class="left">
										<xsl:value-of select="@name"/>
									</td>
									<td>
										<xsl:value-of select="count(activities/activity[errors])"/>
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
						<tfoot>
							<tr>
								<th class="left">Total</th>
								<th>
									<xsl:value-of select="count($y/processes/process/activities/activity[errors])"/>
								</th>
							</tr>
						</tfoot>
					</table>
				</div>
				<xsl:if test="$y/processes/process[activities/activity[errors]]">
					<h2>Detail</h2>
					<xsl:for-each select="$y/processes/process[activities/activity[errors]]">
						<h3>
							<xsl:value-of select="@name"/>
						</h3>
						<div>
							<h4>Activities errored</h4>
							<table class="error">
								<thead>
									<tr>
										<th clas="left">Activity</th>
										<th clas="left">Error Text</th>
									</tr>
								</thead>
								<tbody>
									<xsl:for-each select="activities/activity/errors/error">
										<tr>
											<td>
												<xsl:value-of select="../../@name"/>
											</td>
											<td clas="left">
												<xsl:value-of select="@inline"/>
											</td>
										</tr>
									</xsl:for-each>
								</tbody>
							</table>
						</div>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>