<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template
		match="asserttrue"
		mode="summary">
		<xsl:call-template
			name="processSummaryRow"/>
	</xsl:template>

	<xsl:template
		match="asserttrue"
		mode="label">
		<xsl:value-of
			select="'Assert'"/>
	</xsl:template>

	<xsl:template
		match="asserttrue">
		<xsl:call-template
			name="addActionInfo"/>
		<xsl:call-template
			name="reportDecisionExpandedDetails"/>
	</xsl:template>

	<xsl:template match="asserttrue" mode="reportStatus" priority="2">
		<xsl:param name="withTitle" select="true()" />

		<xsl:variable name="status" select="
                if (@*[name()=$EVAL_RESULT] = 'true') then 'Passed' else 'Failed'"/>

		<xsl:choose>
			<xsl:when test="count(@*[name()=$EXECUTION_CANCELLED])">
				<xsl:if test="$withTitle">
					<th>
						<xsl:value-of select="$STATUS_OUTPUT" />
						<xsl:value-of select="string(':')" />
					</th>
				</xsl:if>
				<td>
					<xsl:value-of select="$CANCEL_STATUS" />
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td>
					<xsl:attribute name="class">
						<xsl:value-of select="$status" />
                    </xsl:attribute>
					<xsl:value-of select="$status"/>
				</td>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
