<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
		
	<xsl:template
		match="data_model_action"
		mode="label">
		<xsl:value-of
			select="'Data Model'"/>
	</xsl:template>
	
	<xsl:template 
		match="data_model_action"
		mode="summary">
		<xsl:call-template
			name="processSummaryRow"/>
	</xsl:template>
	
	<xsl:template
		match="data_model_action">
		<xsl:call-template
			name="addActionInfo"/>
		<table
			class="faux">
			<xsl:call-template
				name="reportCommonInfo"/>
			<xsl:call-template
				name="reportActionProperties"/>
		</table>
	</xsl:template>

	<xsl:template name="reportActionProperties">
		<tr>
			<xsl:call-template name="reportInfo">
				<xsl:with-param name="name" select="'Type'"/>
				<xsl:with-param name="value" select="type/text()"/>
			</xsl:call-template>
		</tr>
		<tr>
			<xsl:call-template name="reportInfo">
				<xsl:with-param name="name" select="'Path'"/>
				<xsl:with-param name="value" select="path/text()"/>
			</xsl:call-template>
		</tr>
		<tr>
			<xsl:call-template name="reportInfo">
				<xsl:with-param name="name" select="'Result'"/>
				<xsl:with-param name="value" select="result/text()"/>
			</xsl:call-template>
		</tr>
		<xsl:if test="string-length(error/text()) &gt; 0">
			<tr>
				<xsl:call-template name="reportInfo">
					<xsl:with-param name="name" select="'Error'"/>
					<xsl:with-param name="value" select="error/text()"/>
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
