<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template
		match="decision"
		mode="summary">
		<xsl:call-template
			name="processSummaryRow"/>
		<xsl:apply-templates
			select="*"
			mode="summary"/>
	</xsl:template>
	
	<xsl:template
		match="expression"/>
			
	<xsl:template
		match="decision"
		mode="label">
		<xsl:value-of
			select="'Decision'"/>
	</xsl:template>
	
	<xsl:template
		match="decision">
		<xsl:call-template
			name="addActionInfo"/>
		<xsl:call-template
			name="reportDecisionExpandedDetails"/>
		<xsl:apply-templates
			select="*"/>
	</xsl:template>
	
	<xsl:template
		name="reportDecisionExpandedDetails">
		<table
			class="faux">
			<xsl:call-template
				name="reportCommonInfo"/>
			<xsl:call-template
				name="reportDescisionEvalResult"/>
			<xsl:call-template
				name="reportValidationError"/>
			<xsl:if
				test="count(expression) &gt; 1">
				<tr>
					<th>
						<xsl:value-of
							select="'Logical Operator:'"/>
					</th>
					<td>
						<xsl:value-of
							select="if (@isOr='false') then 'AND' else 'OR'"/>
					</td>
				</tr>
			</xsl:if>
		</table>
		<xsl:if
			test="expression">
			<div>
				<table
					class="expression">
					<th>
						<xsl:value-of
							select="$EXPRESSION_OUTPUT"/>
					</th>
					<th>
						<xsl:value-of
							select="$RESULT_OUTPUT"/>
					</th>
					<xsl:for-each
						select="expression">
						<xsl:variable
							name="exp"
							select="text()"/>
						<tr>
							<td>
								<xsl:value-of
									select="substring-after($exp,':')"/>
							</td>
							<td>
								<xsl:value-of
									select="substring-before($exp,':')"/>
							</td>
						</tr>
					</xsl:for-each>
				</table>
			</div>
		</xsl:if>
	</xsl:template>
	
	<xsl:template
		name="reportDescisionEvalResult">
		<xsl:call-template
			name="copyAttribute">
			<xsl:with-param
				name="attribute"
				select="$EVAL_RESULT"/>
			<xsl:with-param
				name="outputAttribute"
				select="$EVAL_RESULT_OUTPUT"/>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
