<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="serialTask|parallelTask" mode="summary">
		<xsl:call-template name="processSummaryRow"/>
	</xsl:template>

	<xsl:template match="serialTask" mode="label">
		<xsl:value-of select="'Serial Execution'"/>
	</xsl:template>

	<xsl:template match="parallelTask" mode="label">
		<xsl:value-of select="'Parallel Execution'"/>
	</xsl:template>

	<xsl:template match="serialTask|parallelTask">
		<xsl:call-template name="addActionInfo"/>
		<table class="faux">
			<xsl:call-template name="reportCommonInfo"/>
			<tr>
				<xsl:call-template name="reportTest"/>
				<xsl:call-template name="reportTestStatus"/>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="reportTest">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="'task'"/>
			<xsl:with-param name="outputAttribute" select="'Test'"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="reportTestStatus">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="'iterationStatus'"/>
			<xsl:with-param name="outputAttribute" select="'Status'"/>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
