<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable
		name="FUNCTION_TEXT">functionText</xsl:variable>
	<xsl:variable
		name="FUNCTION_TEXT_OUTPUT">Function Text</xsl:variable>
	
	<xsl:template
		match="function"
		mode="summary">
		<xsl:call-template
			name="processSummaryRow"/>
	</xsl:template>
		
	<xsl:template
		match="function"
		mode="label">
		<xsl:value-of
			select="'Function'"/>
	</xsl:template>
	
	<xsl:template
		match="function">
		<xsl:call-template
			name="addActionInfo"/>
		<table
			class="faux">
			<xsl:call-template
				name="reportCommonInfo"/>
			<xsl:call-template
				name="reportFunctionText"/>
			<xsl:call-template
				name="reportResult"/>
			<xsl:call-template
				name="reportValidationError"/>
		</table>
	</xsl:template>
	
	<xsl:template
		name="reportFunctionText">
		<xsl:if
			test="count(*[name()=$FUNCTION_TEXT])!=0">
			<tr>
				<xsl:call-template
					name="reportInfo">
					<xsl:with-param
						name="value"
						select="*[name()=$FUNCTION_TEXT]/text()"/>
					<xsl:with-param
						name="name"
						select="$FUNCTION_TEXT_OUTPUT"/>
					<xsl:with-param
						name="tdSpan"
						select="4"/>
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>
	
	<xsl:template
		name="reportResult">
		<xsl:if
			test="count(*[name()=$RESULT])!=0">
			<tr>
				<xsl:call-template
					name="reportInfo">
					<xsl:with-param
						name="value"
						select="*[name()=$RESULT]/text()"/>
					<xsl:with-param
						name="name"
						select="$RESULT_OUTPUT"/>
					<xsl:with-param
						name="tdSpan"
						select="4"/>
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
