<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:import href="ipcommon.xsl" />

	<xsl:template match="processworkitem" mode="label">
		<xsl:value-of select="'Modify Task'" />
	</xsl:template>

	<xsl:template match="processworkitem" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="processworkitem">

		<xsl:variable name="bodyMessageTitle">Modify Task Data</xsl:variable>

		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
		</table>
		<table width="80%">
			<tbody>

				<tr>
					<td class="sub-title">General Report :</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionGeneralReport" />
					</td>
				</tr>

				<tr>
					<td class="sub-title">Modify Task Specific Report :</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionConfigurationReport" />
					</td>
				</tr>

				<tr>
					<td class="sub-title">Data :</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="reportWorkItemBody" />
					</td>
				</tr>

			</tbody>
		</table>

	</xsl:template>

	<xsl:template name="reportWorkItemBody">
		<div class="a3Message">
			<table>
				<tr>
					<xsl:for-each select="child::a3Message/*[1]">
						<xsl:call-template name="processMessage">
							<xsl:with-param name="msgName">
								<xsl:call-template name="getBodyName" />
							</xsl:with-param>
							<xsl:with-param name="rowClass">
								<xsl:value-of select="string('a3MessageTableHeader')" />
							</xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</tr>
			</table>
		</div>

	</xsl:template>

</xsl:stylesheet>
