<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="ipcommon.xsl" />

    <xsl:template match="retrievecase" mode="label">
        <xsl:value-of select="'Retrieve Case'" />
    </xsl:template>

    <xsl:template match="retrievecase" mode="summary">
        <xsl:call-template name="processSummaryRow" />
    </xsl:template>

    <xsl:template match="retrievecase">

        <xsl:variable name="headerMessageTitle">Retrieved Case Header (Meta) Data</xsl:variable>
        <xsl:variable name="bodyMessageTitle">Retrieved Case Data</xsl:variable>

        <xsl:call-template name="addActionInfo" />
        <table class="faux"><xsl:call-template name="reportCommonInfo"/></table>
        <table width="80%">
            <tbody>
                
                <tr><td class="sub-title">General Report :</td></tr>
                <tr><td><xsl:call-template name="IProcessActionGeneralReport"/></td></tr>
                
                <tr><td class="sub-title">Retrieve Case Specific Report :</td></tr>
                <tr><td><xsl:call-template name="IProcessActionConfigurationReport"/></td></tr>
  
                <xsl:if test="count(.//*[name()='pollingLog'])!=0">
                     <tr><td class="sub-title">Pollings :</td></tr>
                     <tr>
                         <td>
                             <xsl:call-template name="IProcessActionsPollingReportForCaseRetrieval">
                                 <xsl:with-param name="col1">Time Stamp</xsl:with-param>
                                 <xsl:with-param name="col2">Number of Cases Detected</xsl:with-param>
                                 <xsl:with-param name="col3">Case List Changes Detected</xsl:with-param>
                                 <xsl:with-param name="col4">Case State Changes Detected</xsl:with-param>
                             </xsl:call-template>
                         </td>
                     </tr>
                </xsl:if>

                <xsl:if test="count(a3Message)!=0">
                     <tr><td class="sub-title">Data :</td></tr>
                     <tr><td><xsl:call-template name="reportAssociatedA3Message"/></td></tr>
                </xsl:if>
                </tbody>
        </table>
        
        
        
    </xsl:template>


</xsl:stylesheet>
