<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="ipcommon.xsl" />

    <xsl:template match="retrieveworkitem" mode="label">
        <xsl:value-of select="'Retrieve Task'" />
    </xsl:template>

    <xsl:template match="retrieveworkitem" mode="summary">
        <xsl:call-template name="processSummaryRow" />
    </xsl:template>

    <xsl:template match="retrieveworkitem">
        <xsl:variable name="headerMessageTitle">Retrieved Task Header (Meta) Data</xsl:variable>
        <xsl:variable name="bodyMessageTitle">Retrieved Task Data</xsl:variable>

        <xsl:call-template name="addActionInfo" />
        <table class="faux"><xsl:call-template name="reportCommonInfo"/></table>
        <table width="80%">
            <tbody>
            
                <tr><td class="sub-title">General Report :</td></tr>
                <tr><td><xsl:call-template name="IProcessActionGeneralReport"/></td></tr>
                
                <tr><td class="sub-title">Retrieve Task Specific Report :</td></tr>
                <tr><td><xsl:call-template name="IProcessActionConfigurationReport"/></td></tr>
                
                <xsl:if test="count(.//*[name()='pollingLog'])!=0">
                    <tr><td class="sub-title">Pollings :</td></tr>
                    <tr>
                        <td>
                            <xsl:call-template name="IProcessActionsPollingReportForWorkItemRetrieval">
                                <xsl:with-param name="col1">Time</xsl:with-param>
                                <xsl:with-param name="col2">Number of tasks found</xsl:with-param>
                                <xsl:with-param name="col3">Refreshed data cache</xsl:with-param>
                                <xsl:with-param name="col4">Task list changes detected</xsl:with-param>
                                <xsl:with-param name="col5">Task state changes detected</xsl:with-param>
                            </xsl:call-template>
                        </td>
                    </tr>
                </xsl:if>
                
                <xsl:if test="count(a3Message)!=0">
                     <tr><td class="sub-title">Data :</td></tr>
                     <tr><td><xsl:call-template name="reportAssociatedA3Message"><xsl:with-param name="index" select="1"/></xsl:call-template></td></tr>
                </xsl:if>        
                
            </tbody>
        </table>

        
    </xsl:template>


</xsl:stylesheet>
