<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable
		name="LOGGING_MESSAGE">loggingMessage</xsl:variable>
	<xsl:variable
		name="LOGGING_MESSAGE_OUTPUT">Message</xsl:variable>
	
	<xsl:template
		match="log"
		mode="summary">
		<xsl:call-template
			name="processSummaryRow"/>
	</xsl:template>
	
	<xsl:template
		match="log"
		mode="label">
		<xsl:value-of
			select="'Log'"/>
	</xsl:template>
	
	<xsl:template
		match="log">
		<xsl:call-template
			name="addActionInfo"/>
		<table
			class="faux">
			<xsl:call-template
				name="reportCommonInfo"/>
			<xsl:call-template
				name="reportLoggingMessage"/>
			<xsl:call-template
				name="reportValidationError"/>
		</table>
	</xsl:template>

	<xsl:template
		name="reportLoggingMessage">
		<xsl:if
			test="count(*[name()=$LOGGING_MESSAGE])!=0">
			<tr>
				<xsl:call-template
					name="reportInfo">
					<xsl:with-param
						name="value"
						select="*[name()=$LOGGING_MESSAGE]/text()"/>
					<xsl:with-param
						name="name"
						select="$LOGGING_MESSAGE_OUTPUT"/>
					<xsl:with-param
						name="tdSpan"
						select="5"/>
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
