<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template
		match="mapper"
		mode="summary">
		<xsl:call-template
			name="processSummaryRow"/>
	</xsl:template>
		
	<xsl:template
		match="mapper"
		mode="label">
		<xsl:value-of
			select="'Mapper'"/>
	</xsl:template>
	
	<xsl:template
		match="mapper">
		<xsl:call-template
			name="addActionInfo"/>
		<xsl:call-template
			name="reportMapperDetailed"/>
	</xsl:template>
	
	<xsl:template
		name="reportMapperDetailed">
		<table
			class="faux">
			<xsl:call-template
				name="reportCommonInfo"/>
			<xsl:variable
				name="inType">
				<xsl:choose>
					<xsl:when
						test="@inputIsMessage='true'">
						<xsl:value-of
							select="'Message'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of
							select="'XML string'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<tr>
				<xsl:call-template
					name="reportInfo">
					<xsl:with-param
						name="value"
						select="$inType"/>
					<xsl:with-param
						name="name"
						select="'Input XML Source'"/>
					<xsl:with-param
						name="tdSpan"
						select="4"/>
				</xsl:call-template>
			</tr>
			<tr>
				<xsl:call-template
					name="copyAttribute">
					<xsl:with-param
						name="attribute"
						select="'inputXML'"/>
					<xsl:with-param
						name="outputAttribute"
						select="'Input XML'"/>
				</xsl:call-template>
			</tr>
			<tr>
				<xsl:call-template
					name="copyAttribute">
					<xsl:with-param
						name="attribute"
						select="'outputXML'"/>
					<xsl:with-param
						name="outputAttribute"
						select="'Output XML'"/>
				</xsl:call-template>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>
