<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:variable name="SCRIPT_HEADER">Script</xsl:variable>
	<xsl:variable name="SCRIPT_TEXT">scriptText</xsl:variable>

	<xsl:template match="script" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="script" mode="label">
		<xsl:value-of select="'Script'" />
	</xsl:template>

	<xsl:template match="script">
		<xsl:call-template name="addActionInfo" />
		<xsl:call-template name="reportScriptDetails" />
	</xsl:template>

	<xsl:template name="reportScriptDetails">
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
			<tr>
				<xsl:call-template
					name="reportInfo">
					<xsl:with-param
						name="value"
						select="*[name()=$SCRIPT_TEXT]/text()"/>
					<xsl:with-param
						name="name"
						select="$SCRIPT_HEADER"/>
					<xsl:with-param
						name="tdSpan"
						select="5"/>
				</xsl:call-template>
			</tr>
		</table>
	</xsl:template>
  
</xsl:stylesheet>
