<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template
		match="subscribeUntil"
		mode="summary">
		<xsl:call-template
			name="processSummaryRow"/>
	</xsl:template>
	
	<xsl:template
		match="subscribeUntil"
		mode="label">
		<xsl:value-of
			select="'Subscribe Until'"/>
	</xsl:template>
	
	<xsl:template
		match="subscribeUntil">
		<xsl:call-template
			name="addActionInfo"/>
		<xsl:call-template
			name="reportSubscribeUntilDetailed"/>
	</xsl:template>
	
	<xsl:template
		name="reportSubscribeUntilDetailed">
		<table
			class="faux">
			<xsl:call-template
				name="reportCommonInfo"/>
			<xsl:call-template
				name="copyAttribute">
				<xsl:with-param
					name="attribute"
					select="$MESSAGES_PROCESSED"/>
				<xsl:with-param
					name="outputAttribute"
					select="$MESSAGES_PROCESSED_OUTPUT"/>
			</xsl:call-template>
			<tr>
				<xsl:for-each
					select="subscribe[1]">
					<xsl:call-template
						name="copyAttribute">
						<xsl:with-param
							name="attribute"
							select="$TRANSPORT"/>
						<xsl:with-param
							name="outputAttribute"
							select="$TRANSPORT_OUTPUT"/>
					</xsl:call-template>
					<xsl:call-template
						name="copyAttribute">
						<xsl:with-param
							name="attribute"
							select="$FORMATTER"/>
						<xsl:with-param
							name="outputAttribute"
							select="$FORMATTER_OUTPUT"/>
					</xsl:call-template>
				</xsl:for-each>
			</tr>
			<xsl:if
				test="count(@*[name()=$MESSAGES_FILTERED]) &gt; 0">
				<tr>
					<xsl:call-template
						name="copyAttribute">
						<xsl:with-param
							name="attribute"
							select="$MESSAGES_FILTERED"/>
						<xsl:with-param
							name="outputAttribute"
							select="$MESSAGES_FILTERED_OUTPUT"/>
					</xsl:call-template>
				</tr>
			</xsl:if>
			<xsl:call-template
				name="reportValidationError"/>
		</table>
		<xsl:for-each
			select="*[name()=string('subscribe')]">
			<xsl:call-template
				name="reportAssociatedA3Message"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
