<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template
		match="userInteraction"
		mode="summary">
		<xsl:call-template
			name="processSummaryRow"/>
	</xsl:template>
	
	<xsl:template
		match="userInteraction"
		mode="label">
		<xsl:value-of
			select="'User Interaction'"/>
	</xsl:template>
	
	<xsl:template
		match="userInteraction">
		<xsl:call-template
			name="addActionInfo"/>
		<table
			class="faux">
			<xsl:call-template
				name="reportCommonInfo"/>
			<xsl:call-template
				name="reportSelectedOption"/>
			<xsl:call-template
				name="reportDisplayedMessage"/>
			<xsl:call-template
				name="reportUserResponse"/>
			<xsl:call-template
				name="reportValidationError"/>
		</table>
	</xsl:template>
	
	<xsl:template
		name="reportSelectedOption">
		<xsl:call-template
			name="copyAttribute">
			<xsl:with-param
				name="attribute"
				select="$SELECTED_OPTION"/>
			<xsl:with-param
				name="outputAttribute"
				select="$SELECTED_OPTION_OUTPUT"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template
		name="reportDisplayedMessage">
		<xsl:if
			test="count(*[name()=$DISPLAYED_MESSAGE])!=0">
			<tr>
				<xsl:call-template
					name="reportInfo">
					<xsl:with-param
						name="value"
						select="*[name()=$DISPLAYED_MESSAGE]/text()"/>
					<xsl:with-param
						name="name"
						select="$DISPLAYED_MESSAGE_OUTPUT"/>
					<xsl:with-param
						name="tdSpan"
						select="4"/>
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>
	
	<xsl:template
		name="reportUserResponse">
		<xsl:if
			test="count(@*[name()=$USER_RESPONSE])!=0">
			<tr>
				<xsl:call-template
					name="reportInfo">
					<xsl:with-param
						name="value"
						select="@*[name()=$USER_RESPONSE]"/>
					<xsl:with-param
						name="name"
						select="$USER_RESPONSE_OUTPUT"/>
					<xsl:with-param
						name="tdSpan"
						select="4"/>
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
